Contents | Parent Topic | Previous Topic | Next Topic
Home | Catalog

# 11.9. prn2ps - PostScript Conversion Utility

## Purpose

<CMD>prn2ps</CMD> converts Windows PostScript to Unix PostScript. The input to this program is typically generated by printing to a PostScript printer connected to the FILE: logical device. The output can be converted to Encapsulated PostScript using GhostScript's <CMD>p2epsi</CMD> program.

## Usage

    usage  : prn2ps [-h[help]] [-o[out_ext]]
             [-l[log_ext]] [-O[out_dir]] prn_file ...
    purpose: convert Windows PostScript to Unix PostScript
    version: 2.000    (SDF 2.001)

The options are:

Option | Description
-h | display help on options
-o | output file extension
-l | log file extension
-O | output to input file's (or explicit) directory

## Description

The -h option provides help. If it is specified without a parameter, a brief description of each option is displayed. To display the attributes for an option, specify the option letter as a parameter.

By default, generated output goes to standard output. To direct output to a file per input file, use the -o option to specify an extension for output files. If the -o option is specified without a parameter, an extension of out is assumed.

Likewise, error messages go to standard error by default. Use the -l option to create a log file per input file. If the -l option is specified without a parameter, an extension of log is assumed.

By default, generated output and log files are created in the current directory. Use the -O option to specify an explicit output directory. If the -O option is specified without a parameter, the input file's directory is used.

For each input file, the output is generated by:

- deleting the PageSize information
- deleting the control-D at the end of the file.

## Examples

To generate an Encapsulated PostScript file from Windows PostScript:

      prn2ps -ops myfig.prn
      ps2epsi myfig.ps

## Limitations and future directions

If <CMD>ps2epsi</CMD> doesn't like the output, you may need to use another printer driver to generate the input. On Windows NT 4.0, the Canon PS-IPU Color Laser Copier v52.3 driver works most of the time.